package com.pj.tb_fee_item_record;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_fee_item_record -- 收费记录
 * @author yzs 
 */
@RestController
@RequestMapping("/TbFeeItemRecord/")
public class TbFeeItemRecordController {

	/** 底层 Service 对象 */
	@Autowired
	TbFeeItemRecordService tbFeeItemRecordService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbFeeItemRecord.PERMISSION_CODE_ADD)
	public AjaxJson add(TbFeeItemRecord t){
		tbFeeItemRecordService.add(t);
		t = tbFeeItemRecordService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbFeeItemRecord.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbFeeItemRecordService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbFeeItemRecord.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbFeeItemRecord.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbFeeItemRecord.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbFeeItemRecord t){
		tbFeeItemRecordService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbFeeItemRecord.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbFeeItemRecord t = tbFeeItemRecordService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbFeeItemRecord.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbFeeItemRecord> list = tbFeeItemRecordService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
